ubuntu/+source/ghostscript:ubuntu/intrepid-updates

Last commit made on 2009-04-15
Get this branch:
git clone -b ubuntu/intrepid-updates https://git.launchpad.net/ubuntu/+source/ghostscript
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/intrepid-updates
Repository:
lp:ubuntu/+source/ghostscript

Recent commits

e3bfc99... by Marc Deslauriers on 2009-04-09

Import patches-unapplied version 8.63.dfsg.1-0ubuntu6.4 to ubuntu/intrepid-security

Imported using git-ubuntu import.

Changelog parent: 0bec2b84ad4f3f69ed6ef423987d9b3f9d1229d0

New changelog entries:
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via BaseFont writer module
    - debian/patches/74_CVE-2008-6679.dpatch: increase size of buffer in
      src/gdevpdtb.c.
    - CVE-2008-6679
  * SECURITY UPDATE: possible arbitrary code execution via JBIG2 symbol
    dictionary segments
    - debian/patches/75_CVE-2009-0196.dpatch: validate size of runlength
      in export symbol table in jbig2dec/jbig2_symbol_dict.c.
    - CVE-2009-0196
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via integer overflows in icclib
    - debian/patches/76_CVE-2009-0792.dpatch: fix numerous overflows in
      icclib/icc.c.
    - CVE-2009-0792

0bec2b8... by Marc Deslauriers on 2009-03-23

Import patches-unapplied version 8.63.dfsg.1-0ubuntu6.3 to ubuntu/intrepid-security

Imported using git-ubuntu import.

Changelog parent: 0d3e1657a1a7b1f76442be5cf3da43fdf251e3f9

New changelog entries:
  * SECURITY UPDATE: Arbitrary code execution due to integer overflows and
    insufficient upper-bounds checks in the ICC library
    - debian/patches/73_CVE-2009-0583_0584.dpatch: fix multiple integer
      overflows and perform bounds checking in icclib/icc.c.
    - CVE-2009-0583
    - CVE-2009-0584

0d3e165... by Till Kamppeter on 2008-01-22

Import patches-unapplied version 8.63.dfsg.1-0ubuntu6.2 to ubuntu/intrepid-proposed

Imported using git-ubuntu import.

Changelog parent: 6809f802f2ea9fc54f77d6ea3a2bcf308555534e

New changelog entries:
  * debian/patches/72_gs-setpd-ps-duplex-fix.dpatch: Duplex printing did not
    work in some cases (LP: #308817).

6809f80... by Till Kamppeter on 2008-12-15

Import patches-unapplied version 8.63.dfsg.1-0ubuntu6.1 to ubuntu/intrepid-proposed

Imported using git-ubuntu import.

Changelog parent: fb233ac699617193a3405e33153862e67bc8bd2a

New changelog entries:
  * debian/patches/70_take-into-account-data-in-stream-buffer-before-refill.dpatch:
    Certain files lead to a Ghostscript error due to wrong handling of the
    stream buffer (LP: #306125, upstream bug #690090).
  * debian/patches/65_too-big-temp-files-1.dpatch,
    debian/patches/67_too-big-temp-files-2.dpatch: Ghostscript produced much too
    big temporary files (> 10 GB) when printing photos from GNOME apps in
    1200 dpi (LP: #288570, upstream bug #690133).
  * debian/patches/62_onebitcmyk-pdf.dpatch: Check the whole Decode array to
    detect special cases of identity and inverse decoding in PDF files
    (Upstream bug #690178).
  * debian/patches/50_lips4-floating-point-exception: Fixed floating-point
    exception in "lips4" and other drivers (Upstream bug #690122).

fb233ac... by Till Kamppeter on 2008-10-19

Import patches-unapplied version 8.63.dfsg.1-0ubuntu6 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: e04e9fe897ca526a14d23e6ca139ace8797e9df7

New changelog entries:
  * debian/patches/42_gs-init-ps-delaybind-fix.dpatch: Make "ps2ascii" working
    again (LP: #281419, upstream bug #690124).
  * debian/patches/45_bjc600-bjc800-pdf-input.dpatch: Fix setting of the
    "DitheringType" option. With PDF input Ghostscript crashes, with
    PostScript input the "DitheringType" option was probably ignored
    (Upstream bug #690032).

e04e9fe... by Till Kamppeter on 2008-10-13

Import patches-unapplied version 8.63.dfsg.1-0ubuntu5 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 27adf51ce51072313775db8a10bb3f978e6520f5

New changelog entries:
  * debian/patches/38_pxl-duplex.dpatch: The Duplex option of the "pxlmono"
    and "pxlcolor" drivers did not work (part 1 of the fix for LP: #282738).
  * debian/patches/39_pxl-resolution.dpatch: The resolution must be also set
    as PJL command for the "pxlmono" and "pxlcolor" drivers.

27adf51... by Steve Langasek on 2008-08-21

Import patches-unapplied version 8.63.dfsg.1-0ubuntu4 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 2c672da884886bd2446b9fad727cdd2bb4756330

New changelog entries:
  * debian/control, debian/rules: Merge ghostscript-fonts back into
    ghostscript, since this is not needed at present.
  * debian/rules: Drop most of the fonts from ghostscript since gsfonts
    ships newer versions.

2c672da... by Till Kamppeter on 2008-08-11

Import patches-unapplied version 8.63.dfsg.1-0ubuntu3 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 345b4ab6cc96bbd4f4a659592c5741630d7b34f5

New changelog entries:
  * debian/rules: Fixed typo (LP: #256975).
  * debian/ghostscript.links: s/8.62/8.63/
  * debian/patches/35_disable_libcairo.dpatch: Added possibility to
    compile Ghostscript without the "cairo" output device. The device
    is still in experimental state and with its dependency on libcairo
    it pulls in a dependency on X.
  * debian/control, debian/rules: Build Ghostscript without the "cairo"
    output device (LP: #256859).

345b4ab... by Till Kamppeter on 2008-08-11

Import patches-unapplied version 8.63.dfsg.1-0ubuntu2 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 66e50df46448bb8e5020d2c8316312cef44c5528

New changelog entries:
  * debian/control, debian/rules: Split the fonts off into its own
    "ghostscript-fonts" package. Changes dependencies of "ghostscript"
    package that either "ghostscript-fonts" or "gsfonts" can be used.

66e50df... by Till Kamppeter on 2008-08-05

Import patches-unapplied version 8.63.dfsg.1-0ubuntu1 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: ecc39001158f3cffb182550f407ab93bf6a2c2a6

New changelog entries:
  * New upstream release
  * Merge from debian unstable, remaining changes:
    - gs-esp and gs-common depend only on ghostscript, not on ghostscript-x,
      as gs-esp had already split off gs-esp-x in Ubuntu
  * debian/patches/12_gs-cjk_vertical_writing_metrics_fix.dpatch,
    debian/patches/30_ps2pdf_man_improvement.dpatch: Adapted to upstream
    changes.
  * debian/control: Added libcairo2-dev to the build dependencies, as
    Ghostscript has a libcairo-based output device now.
  * Acknowledged NMU, thanks madcoder - closes: #453903
  * Bumped to Standards-Version: 3.8.0.
  * Fixed fakeroot build error, thanks Bob Lindell - closes: #484712
  * ghostscript-doc.doc-base: Made file mask *.htm* instead of *.html.